Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class BSFTestElement

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BSFTestElement

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

Direct Known Subclasses:
  BSFAssertion, BSFListener, BSFPostProcessor, BSFPreProcessor, BSFSampler

public abstract class BSFTestElement
extends AbstractTestElement
implements Serializable, Cloneable

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BSFTestElement()`

Method Summary
`Object` | `clone()`
`String` | `getFilename()`
`protected org.apache.bsf.BSFManager` | `getManager()`
`String` | `getParameters()`
`String` | `getScript()` Return the script (TestBean version).
`String` | `getScriptLanguage()`
`protected void` | `initManager(org.apache.bsf.BSFManager mgr)`
`protected void` | `processFileOrScript(org.apache.bsf.BSFManager mgr)`
`protected Object` | `readResolve()`
`void` | `setFilename(String s)`
`void` | `setParameters(String s)`
`void` | `setScript(String s)` Set the script (TestBean version).
`void` | `setScriptLanguage(String s)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BSFTestElement

    public BSFTestElement()

Method Detail

### readResolve

    protected Object readResolve()

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractTestElement`

### getManager

    protected org.apache.bsf.BSFManager getManager()
                                            throws org.apache.bsf.BSFException

  Throws:
    `org.apache.bsf.BSFException`

### initManager

    protected void initManager(org.apache.bsf.BSFManager mgr)
                        throws org.apache.bsf.BSFException

  Throws:
    `org.apache.bsf.BSFException`

### processFileOrScript

    protected void processFileOrScript(org.apache.bsf.BSFManager mgr)
                                throws org.apache.bsf.BSFException

  Throws:
    `org.apache.bsf.BSFException`

### getScript

    public String getScript()

  Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Returns:
    the script to execute

### setScript

    public void setScript(String s)

  Set the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Parameters:
    `s` - the script to execute (may be blank)

### getParameters

    public String getParameters()

### setParameters

    public void setParameters(String s)

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String s)

### getScriptLanguage

    public String getScriptLanguage()

### setScriptLanguage

    public void setScriptLanguage(String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.